CobolManagedConnection (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.spi.CobolManagedConnection class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.spi
Class CobolManagedConnection

    java.lang.Object
      com.microfocus.cobol.connector.spi.CobolManagedConnection

All Implemented Interfaces:
  ManagedConnection, Serializable

public class CobolManagedConnection
extends Object
implements ManagedConnection, Serializable

This class represents a physical connection to an underlying EIS.

See Also:
  Serialized Form

Nested Class Summary
`class` | `CobolManagedConnection.aCobolCon`

Method Summary
`void` | `activate()`
`void` | `addCobolConnection(CobolConnection cciCon)`
`void` | `addConnectionEventListener(ConnectionEventListener listener)`
`static void` | `addGUID(String GUID)`
`static void` | `addPhy()`
`void` | `associateConnection(Object connection)`
`void` | `cleanup()`
`static void` | `deleteGUID(String GUID)`
`static void` | `deletePhy()`
`void` | `destroy()`
`void` | `dispose()`
`static void` | `DisposedCount()`
`static void` | `dumpGUID()`
`com.microfocus.cobol.connector.ti.Connection` | `getCobolConnection()`
`com.microfocus.cobol.connector.ti.Connection` | `getConnection()`
`Object` | `getConnection(Subject subject, ConnectionRequestInfo connectionRequestInfo)`
`static long` | `getDispose()`
`static long` | `getGUIDSCreated()`
`static long` | `getGUIDSDestroyed()`
`static long` | `getGUIDSInUse()`
`LocalTransaction` | `getLocalTransaction()`
`PrintWriter` | `getLogWriter()`
`ManagedConnectionFactory` | `getManagedConnectionFactory()`
`ManagedConnectionMetaData` | `getMetaData()`
`static long` | `getPhyCreated()`
`static long` | `getPhyDestroyed()`
`static long` | `getPhyInUse()`
`boolean` | `getResetXAFlow()`
`String` | `getSessionId()`
`Subject` | `getSubject()`
`boolean` | `getSupportsLocalTx()`
`boolean` | `getSupportsXA()`
`String` | `getUser()`
`String` | `getUserName()`
`com.microfocus.cobol.connector.ti.XAConnection` | `getXACobolConnection()`
`com.microfocus.cobol.connector.ti.XAConnection` | `getXAConnection()`
`XAResource` | `getXAResource()`
`boolean` | `isDestroyed()`
`void` | `passivate()`
`void` | `removeCobolConnection(CobolConnection cciCon)`
`void` | `removeConnectionEventListener(ConnectionEventListener listener)`
`void` | `resetLocalTransaction()`
`void` | `resetMC()`
`void` | `resetXAFlow()`
`void` | `sendEvent(int eventType, Exception ex)`
`void` | `sendEvent(int eventType, Exception ex, Object connectionHandle)`
`void` | `setCallerPrincipal(Principal aPrincipal)`
`void` | `setConnection(com.microfocus.cobol.connector.ti.Connection con)`
`void` | `setLogWriter(PrintWriter out)`
`void` | `setManagedConnectionFactory(ManagedConnectionFactory xa)`
`void` | `setSubject(Subject sub)`
`void` | `setSupportsLocalTx(boolean xa)`
`void` | `setSupportsXA(boolean xa)`
`void` | `setUser(String user)`
`void` | `setXAConnection(com.microfocus.cobol.connector.ti.XAConnection xa)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resetMC

    public void resetMC()

### setXAConnection

    public void setXAConnection(com.microfocus.cobol.connector.ti.XAConnection xa)

### resetXAFlow

    public void resetXAFlow()

### getResetXAFlow

    public boolean getResetXAFlow()

### setCallerPrincipal

    public void setCallerPrincipal(Principal aPrincipal)

### addGUID

    public static void addGUID(String GUID)

### getGUIDSCreated

    public static long getGUIDSCreated()

### getGUIDSDestroyed

    public static long getGUIDSDestroyed()

### getGUIDSInUse

    public static long getGUIDSInUse()

### deleteGUID

    public static void deleteGUID(String GUID)

### deletePhy

    public static void deletePhy()

### getPhyInUse

    public static long getPhyInUse()

### getPhyCreated

    public static long getPhyCreated()

### DisposedCount

    public static void DisposedCount()

### getDispose

    public static long getDispose()

### getPhyDestroyed

    public static long getPhyDestroyed()

### addPhy

    public static void addPhy()

### dumpGUID

    public static void dumpGUID()

### activate

    public void activate()
                  throws ResourceException

  Throws:
    `ResourceException`

### passivate

    public void passivate()
                   throws ResourceException

  Throws:
    `ResourceException`

### setConnection

    public void setConnection(com.microfocus.cobol.connector.ti.Connection con)

### setSupportsXA

    public void setSupportsXA(boolean xa)

### setSupportsLocalTx

    public void setSupportsLocalTx(boolean xa)

### setUser

    public void setUser(String user)

### setSubject

    public void setSubject(Subject sub)

### setManagedConnectionFactory

    public void setManagedConnectionFactory(ManagedConnectionFactory xa)

### getXAConnection

    public com.microfocus.cobol.connector.ti.XAConnection getXAConnection()

### getConnection

    public com.microfocus.cobol.connector.ti.Connection getConnection()

### getSupportsXA

    public boolean getSupportsXA()

### getSupportsLocalTx

    public boolean getSupportsLocalTx()

### getUser

    public String getUser()

### getSubject

    public Subject getSubject()

### getManagedConnectionFactory

    public ManagedConnectionFactory getManagedConnectionFactory()

### getConnection

    public Object getConnection(Subject subject,
                                ConnectionRequestInfo connectionRequestInfo)
                         throws ResourceException

  Specified by:
    `getConnection` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### destroy

    public void destroy()
                 throws ResourceException

  Specified by:
    `destroy` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### dispose

    public void dispose()
                 throws ResourceException

  Throws:
    `ResourceException`

### cleanup

    public void cleanup()
                 throws ResourceException

  Specified by:
    `cleanup` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### associateConnection

    public void associateConnection(Object connection)
                             throws ResourceException

  Specified by:
    `associateConnection` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### addConnectionEventListener

    public void addConnectionEventListener(ConnectionEventListener listener)

  Specified by:
    `addConnectionEventListener` in interface `ManagedConnection`

### removeConnectionEventListener

    public void removeConnectionEventListener(ConnectionEventListener listener)

  Specified by:
    `removeConnectionEventListener` in interface `ManagedConnection`

### getXAResource

    public XAResource getXAResource()
                             throws ResourceException

  Specified by:
    `getXAResource` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### getLocalTransaction

    public LocalTransaction getLocalTransaction()
                                         throws ResourceException

  Specified by:
    `getLocalTransaction` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### getMetaData

    public ManagedConnectionMetaData getMetaData()
                                          throws ResourceException

  Specified by:
    `getMetaData` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws ResourceException

  Specified by:
    `setLogWriter` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws ResourceException

  Specified by:
    `getLogWriter` in interface `ManagedConnection`
  Throws:
    `ResourceException`

### getCobolConnection

    public com.microfocus.cobol.connector.ti.Connection getCobolConnection()
                                                                    throws ResourceException

  Throws:
    `ResourceException`

### getXACobolConnection

    public com.microfocus.cobol.connector.ti.XAConnection getXACobolConnection()
                                                                        throws ResourceException

  Throws:
    `ResourceException`

### isDestroyed

    public boolean isDestroyed()

### getUserName

    public String getUserName()

### sendEvent

    public void sendEvent(int eventType,
                          Exception ex)

### sendEvent

    public void sendEvent(int eventType,
                          Exception ex,
                          Object connectionHandle)

### removeCobolConnection

    public void removeCobolConnection(CobolConnection cciCon)

### addCobolConnection

    public void addCobolConnection(CobolConnection cciCon)

### getSessionId

    public String getSessionId()
                        throws com.microfocus.cobol.CobolException

  Throws:
    `com.microfocus.cobol.CobolException`

### resetLocalTransaction

    public void resetLocalTransaction()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.